Index: applications/editors/josm/plugins/OsmInspectorPlugin/build.xml
===================================================================
--- applications/editors/josm/plugins/OsmInspectorPlugin/build.xml	(revision 34389)
+++ applications/editors/josm/plugins/OsmInspectorPlugin/build.xml	(revision 34538)
@@ -5,5 +5,5 @@
     <property name="commit.message" value="Commit message"/>
     <!-- enter the *lowest* JOSM version this plugin is currently compatible with -->
-    <property name="plugin.main.version" value="12881"/>
+    <property name="plugin.main.version" value="14153"/>
 
     <property name="plugin.author" value="Nikhil Shirahatti"/>
Index: applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorLayer.java
===================================================================
--- applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorLayer.java	(revision 34389)
+++ applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorLayer.java	(revision 34538)
@@ -49,8 +49,8 @@
 import org.opengis.referencing.NoSuchAuthorityCodeException;
 import org.opengis.referencing.crs.CoordinateReferenceSystem;
-import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.Bounds;
 import org.openstreetmap.josm.data.coor.LatLon;
 import org.openstreetmap.josm.data.osm.visitor.BoundingXYVisitor;
+import org.openstreetmap.josm.data.projection.ProjectionRegistry;
 import org.openstreetmap.josm.gui.MainApplication;
 import org.openstreetmap.josm.gui.MapView;
@@ -345,5 +345,5 @@
 		String typeNames[] = wfsClient.getTypeNames();
 		renderer = new StreamingRenderer();
-		CRS.decode(Main.getProjection().toCode());
+		CRS.decode(ProjectionRegistry.getProjection().toCode());
 		crsOSMI = CRS.decode("EPSG:4326");
 		content = new MapContent();
Index: applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorPlugin.java
===================================================================
--- applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorPlugin.java	(revision 34389)
+++ applications/editors/josm/plugins/OsmInspectorPlugin/src/org/openstreetmap/josm/plugins/osminspector/OsmInspectorPlugin.java	(revision 34538)
@@ -7,5 +7,4 @@
 import java.awt.event.MouseListener;
 
-import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.Bounds;
 import org.openstreetmap.josm.data.UserIdentityManager;
@@ -18,4 +17,5 @@
 import org.openstreetmap.josm.plugins.Plugin;
 import org.openstreetmap.josm.plugins.PluginInformation;
+import org.openstreetmap.josm.spi.preferences.Config;
 import org.openstreetmap.josm.spi.preferences.PreferenceChangeEvent;
 import org.openstreetmap.josm.spi.preferences.PreferenceChangedListener;
@@ -53,8 +53,8 @@
         
         /* add default values for static variables */
-        Main.pref.put("osmInspector.nickname", "osmi");
-        Main.pref.putBoolean("osmInspector.showBugs", true);
-        Main.pref.put("osmInspector.version", getPluginInformation().version);
-        Main.pref.put("osmInspector.localVersion",getPluginInformation().localversion);
+        Config.getPref().put("osmInspector.nickname", "osmi");
+        Config.getPref().putBoolean("osmInspector.showBugs", true);
+        Config.getPref().put("osmInspector.version", getPluginInformation().version);
+        Config.getPref().put("osmInspector.localVersion",getPluginInformation().localversion);
         inspectorLayer = null;
     }
@@ -74,7 +74,7 @@
                 NavigatableComponent.addZoomChangeListener(this);
                 MainApplication.getMap().mapView.addMouseListener(this);
-                Main.pref.addPreferenceChangeListener(this);
+                Config.getPref().addPreferenceChangeListener(this);
                 /* put username to preferences */
-                Main.pref.put("osmInspector.josmUserName",
+                Config.getPref().put("osmInspector.josmUserName",
                         userIdentityManager.getUserName());
                 MainApplication.getToolbar().control.add( new ImportOsmInspectorBugsAction( this ) );