Index: applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/actions/MenuActionLoadFromCache.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/actions/MenuActionLoadFromCache.java	(revision 34668)
+++ applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/actions/MenuActionLoadFromCache.java	(revision 34711)
@@ -54,5 +54,5 @@
                     !CadastrePlugin.isLambert_cc9())
                     || (ext.length() == 4 && ext.substring(0, CacheControl.C_UTM20N.length()).equals(CacheControl.C_UTM20N) &&
-                            !(CadastrePlugin.isUtm_france_dom()))
+                            !CadastrePlugin.isUtm_france_dom())
                     || (ext.length() == 1 && !CadastrePlugin.isLambert())) {
                         JOptionPane.showMessageDialog(MainApplication.getMainFrame(),
Index: applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/api/CadastreAPI.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/api/CadastreAPI.java	(revision 34668)
+++ applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/api/CadastreAPI.java	(revision 34711)
@@ -10,6 +10,10 @@
 
 import javax.json.Json;
+import javax.json.JsonArray;
+import javax.json.JsonObject;
+import javax.json.JsonStructure;
 
 import org.openstreetmap.josm.data.Bounds;
+import org.openstreetmap.josm.io.OsmApiException;
 import org.openstreetmap.josm.tools.HttpClient;
 import org.openstreetmap.josm.tools.JosmRuntimeException;
@@ -46,10 +50,14 @@
      */
     public static Set<String> getSheets(double minlon, double minlat, double maxlon, double maxlat) throws IOException {
+        URL url = new URL(API_ENDPOINT + "/feuilles?bbox=" + String.join(",",
+                Double.toString(minlon), Double.toString(minlat), Double.toString(maxlon), Double.toString(maxlat)));
         try {
-            return Json.createReader(new StringReader(
-                    HttpClient.create(new URL(API_ENDPOINT + "/feuilles?bbox=" + String.join(",",
-                            Double.toString(minlon), Double.toString(minlat), Double.toString(maxlon), Double.toString(maxlat))))
-                    .connect().fetchContent()))
-                    .readArray().stream().map(x -> x.asJsonObject().getString("id")).collect(Collectors.toSet());
+            JsonStructure json = Json.createReader(new StringReader(HttpClient.create(url).connect().fetchContent())).read();
+            if (json instanceof JsonArray) {
+                return json.asJsonArray().stream().map(x -> x.asJsonObject().getString("id")).collect(Collectors.toSet());
+            } else {
+                JsonObject obj = json.asJsonObject();
+                throw new IOException(new OsmApiException(obj.getInt("code"), null, obj.getString("message"), url.toExternalForm()));
+            }
         } catch (MalformedURLException e) {
             throw new JosmRuntimeException(e);
Index: applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/download/CadastreDownloadTask.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/download/CadastreDownloadTask.java	(revision 34668)
+++ applications/editors/josm/plugins/cadastre-fr/src/org/openstreetmap/josm/plugins/fr/cadastre/download/CadastreDownloadTask.java	(revision 34711)
@@ -13,4 +13,6 @@
 import java.util.stream.Stream;
 
+import javax.swing.JOptionPane;
+
 import org.openstreetmap.josm.actions.downloadtasks.DownloadOsmTask;
 import org.openstreetmap.josm.actions.downloadtasks.DownloadParams;
@@ -20,8 +22,10 @@
 import org.openstreetmap.josm.data.osm.UploadPolicy;
 import org.openstreetmap.josm.gui.MainApplication;
+import org.openstreetmap.josm.gui.Notification;
 import org.openstreetmap.josm.gui.layer.OsmDataLayer;
 import org.openstreetmap.josm.gui.progress.ProgressMonitor;
 import org.openstreetmap.josm.plugins.fr.cadastre.api.CadastreAPI;
 import org.openstreetmap.josm.tools.Logging;
+import org.openstreetmap.josm.tools.Utils;
 
 /**
@@ -59,4 +63,6 @@
         } catch (IOException e) {
             Logging.error(e);
+            new Notification(Utils.escapeReservedCharactersHTML(Utils.getRootCause(e).getMessage()))
+                .setIcon(JOptionPane.ERROR_MESSAGE).show();
         }
         return MainApplication.worker.submit(() -> {