Index: applications/editors/josm/plugins/ElevationProfile/build.xml
===================================================================
--- applications/editors/josm/plugins/ElevationProfile/build.xml	(revision 35212)
+++ applications/editors/josm/plugins/ElevationProfile/build.xml	(revision 35221)
@@ -4,5 +4,5 @@
     <property name="commit.message" value="[josm_elevationprofile]"/>
     <!-- enter the *lowest* JOSM version this plugin is currently compatible with -->
-    <property name="plugin.main.version" value="15496"/>
+    <property name="plugin.main.version" value="15502"/>
     
     <!-- Configure these properties (replace "..." accordingly).
Index: applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/ElevationModel.java
===================================================================
--- applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/ElevationModel.java	(revision 35212)
+++ applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/ElevationModel.java	(revision 35221)
@@ -7,5 +7,5 @@
 import org.openstreetmap.josm.data.gpx.GpxData;
 import org.openstreetmap.josm.data.gpx.GpxRoute;
-import org.openstreetmap.josm.data.gpx.GpxTrack;
+import org.openstreetmap.josm.data.gpx.IGpxTrack;
 import org.openstreetmap.josm.data.gpx.IGpxTrackSegment;
 import org.openstreetmap.josm.data.gpx.IWithAttributes;
@@ -147,10 +147,10 @@
 
     @Override
-    public void beginTrack(GpxTrack track) {
+    public void beginTrack(IGpxTrack track) {
         createProfile(track);
     }
 
     @Override
-    public void endTrack(GpxTrack track) {
+    public void endTrack(IGpxTrack track) {
         if (curProfile == null) throw new RuntimeException("Internal error: No elevation profile");
 
@@ -160,15 +160,15 @@
 
     @Override
-    public void beginTrackSegment(GpxTrack track, IGpxTrackSegment segment) {
+    public void beginTrackSegment(IGpxTrack track, IGpxTrackSegment segment) {
         // Nothing to do here for now
     }
 
     @Override
-    public void endTrackSegment(GpxTrack track, IGpxTrackSegment segment) {
+    public void endTrackSegment(IGpxTrack track, IGpxTrackSegment segment) {
         // Nothing to do here for now
     }
 
     @Override
-    public void visitTrackPoint(WayPoint wp, GpxTrack track, IGpxTrackSegment segment) {
+    public void visitTrackPoint(WayPoint wp, IGpxTrack track, IGpxTrackSegment segment) {
         processWayPoint(wp);
     }
Index: applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/GpxIterator.java
===================================================================
--- applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/GpxIterator.java	(revision 35212)
+++ applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/GpxIterator.java	(revision 35221)
@@ -6,5 +6,5 @@
 import org.openstreetmap.josm.data.gpx.GpxData;
 import org.openstreetmap.josm.data.gpx.GpxRoute;
-import org.openstreetmap.josm.data.gpx.GpxTrack;
+import org.openstreetmap.josm.data.gpx.IGpxTrack;
 import org.openstreetmap.josm.data.gpx.IGpxTrackSegment;
 import org.openstreetmap.josm.data.gpx.WayPoint;
@@ -47,5 +47,5 @@
 
         // tracks
-        for (GpxTrack trk : data.tracks) {
+        for (IGpxTrack trk : data.tracks) {
             visitTrack(visitor, trk);
         }
@@ -58,5 +58,5 @@
      *            The visitor which inspects all GPX entities.
      */
-    public static void visit(GpxTrack track, IGpxVisitor visitor) {
+    public static void visit(IGpxTrack track, IGpxVisitor visitor) {
         visitTrack(visitor, track);
     }
@@ -74,5 +74,5 @@
     // ---------------------- Helper methods ----------------
 
-    private static void visitTrack(IGpxVisitor visitor, GpxTrack trk) {
+    private static void visitTrack(IGpxVisitor visitor, IGpxTrack trk) {
         if (trk == null) return;
         if (visitor == null) return;
Index: applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/IGpxVisitor.java
===================================================================
--- applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/IGpxVisitor.java	(revision 35212)
+++ applications/editors/josm/plugins/ElevationProfile/src/org/openstreetmap/josm/plugins/elevation/gpx/IGpxVisitor.java	(revision 35221)
@@ -3,5 +3,5 @@
 
 import org.openstreetmap.josm.data.gpx.GpxRoute;
-import org.openstreetmap.josm.data.gpx.GpxTrack;
+import org.openstreetmap.josm.data.gpx.IGpxTrack;
 import org.openstreetmap.josm.data.gpx.IGpxTrackSegment;
 import org.openstreetmap.josm.data.gpx.WayPoint;
@@ -25,10 +25,10 @@
      * Starts a GPX track.
      */
-    void beginTrack(GpxTrack track);
+    void beginTrack(IGpxTrack track);
 
     /**
      * Ends a GPX track.
      */
-    void endTrack(GpxTrack track);
+    void endTrack(IGpxTrack track);
 
     /**
@@ -46,10 +46,10 @@
      * Starts a segment within a GPX track.
      */
-    void beginTrackSegment(GpxTrack track, IGpxTrackSegment segment);
+    void beginTrackSegment(IGpxTrack track, IGpxTrackSegment segment);
 
     /**
      * Ends a segment within a GPX track.
      */
-    void endTrackSegment(GpxTrack track, IGpxTrackSegment segment);
+    void endTrackSegment(IGpxTrack track, IGpxTrackSegment segment);
 
     /**
@@ -67,5 +67,5 @@
      * @param segment the track segment
      */
-    void visitTrackPoint(WayPoint wp, GpxTrack track, IGpxTrackSegment segment);
+    void visitTrackPoint(WayPoint wp, IGpxTrack track, IGpxTrackSegment segment);
 
     /**