Index: applications/editors/josm/plugins/pointInfo/images/cursor/modifier/pointinfo.svg
===================================================================
--- applications/editors/josm/plugins/pointInfo/images/cursor/modifier/pointinfo.svg	(revision 35565)
+++ applications/editors/josm/plugins/pointInfo/images/cursor/modifier/pointinfo.svg	(revision 35565)
@@ -0,0 +1,4 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<svg version="1.1" viewBox="0 0 24 24" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:cc="http://creativecommons.org/ns#" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"><metadata><rdf:RDF><cc:Work rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type rdf:resource="http://purl.org/dc/dcmitype/StillImage"/><dc:title/></cc:Work></rdf:RDF></metadata><path d="m14.086 17.908h3.9149v2.9792h-3.9149z" stroke="#fff" stroke-width=".3686"/><path d="m18.007 15.242h-3.9643v-0.38084c0-0.64938 0.0747-1.1779 0.2279-1.5832 0.1532-0.40892 0.3811-0.77633 0.68371-1.112 0.3026-0.3369 0.98252-0.92769 2.041-1.7724 0.56343-0.44309 0.84451-0.84835 0.84451-1.2158 0-0.37108-0.11395-0.65549-0.33806-0.86178-0.2279-0.20263-0.56976-0.30516-1.0294-0.30516-0.49506 0-0.90148 0.15746-1.2256 0.47361-0.32413 0.31248-0.53051 0.86544-0.6204 1.6479l-4.0491-0.4846c0.13927-1.4355 0.67991-2.589 1.6206-3.4654 0.94327-0.8752 2.3905-1.311 4.3378-1.311 1.5168 0 2.7386 0.30516 3.6718 0.91304 1.2649 0.8276 1.8992 1.9262 1.8992 3.3006 0 0.57004-0.16333 1.123-0.49126 1.6515-0.32413 0.52854-0.99391 1.1779-2.0018 1.9396-0.70144 0.53953-1.1471 0.96797-1.332 1.2951-0.18106 0.32225-0.27475 0.74826-0.27475 1.2707z" stroke="#fff" stroke-width=".37795"/></svg>
+
+
Index: applications/editors/josm/plugins/pointInfo/images/dialogs/pointinfo.svg
===================================================================
--- applications/editors/josm/plugins/pointInfo/images/dialogs/pointinfo.svg	(revision 35565)
+++ applications/editors/josm/plugins/pointInfo/images/dialogs/pointinfo.svg	(revision 35565)
@@ -0,0 +1,1 @@
+<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><g style="line-height:125%;font-variant-ligatures:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-east-asian:normal"><path style="font-variant-ligatures:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-east-asian:normal" d="M9.35 14.773v-1.12q0-1.275.521-2.148.52-.885 1.849-1.719 1.055-.664 1.51-1.198.47-.533.47-1.223 0-.547-.496-.86-.494-.325-1.289-.325-1.966 0-4.596 1.393L5.509 4.03q3.242-1.849 6.771-1.849 2.904 0 4.557 1.276 1.654 1.276 1.654 3.477 0 1.575-.742 2.734-.73 1.146-2.344 2.175-1.367.885-1.719 1.302-.338.403-.338.963v.664zm-.56 4.558q0-1.198.69-1.85.704-.65 2.058-.65 1.302 0 1.992.664.703.65.703 1.836 0 1.185-.73 1.836-.715.65-1.965.65-1.29 0-2.018-.637-.73-.651-.73-1.85z" aria-label="?" font-weight="800" font-size="26.667" font-family="Open Sans" letter-spacing="0" word-spacing="0" stroke="#ddd"/></g></svg>
Index: applications/editors/josm/plugins/pointInfo/images/mapmode/pointinfo.svg
===================================================================
--- applications/editors/josm/plugins/pointInfo/images/mapmode/pointinfo.svg	(revision 35565)
+++ applications/editors/josm/plugins/pointInfo/images/mapmode/pointinfo.svg	(revision 35565)
@@ -0,0 +1,1 @@
+<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 64 64"><defs><filter height="1.44" y="-.22" width="1.648" x="-.324" id="a" color-interpolation-filters="sRGB"><feGaussianBlur stdDeviation="5.224"/></filter></defs><g style="mix-blend-mode:normal" filter="url(#a)"><g aria-label="?" word-spacing="0" stroke-width="1.999" letter-spacing="0" font-weight="800" font-size="74.667" font-family="'Open Sans'" fill="#222"><path style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal" overflow="visible" d="M24.58 39.766V36.63c0-2.382.487-4.387 1.46-6.016.971-1.652 2.697-3.256 5.176-4.812 1.969-1.24 3.379-2.358 4.23-3.354.874-.997 1.312-2.14 1.312-3.427 0-1.021-.462-1.823-1.386-2.407-.923-.607-2.126-.911-3.609-.911-3.67 0-7.96 1.3-12.87 3.901l-5.067-9.917C19.878 6.236 26.197 4.51 32.784 4.51c5.42 0 9.674 1.191 12.76 3.573 3.087 2.382 4.63 5.627 4.63 9.735 0 2.94-.692 5.493-2.078 7.656-1.36 2.139-3.548 4.168-6.562 6.088-2.552 1.653-4.156 2.868-4.813 3.646-.631.754-.947 1.653-.947 2.698v1.86zm-1.567 12.76c0-2.236.644-3.962 1.932-5.177 1.313-1.215 3.233-1.823 5.76-1.823 2.431 0 4.29.62 5.579 1.86 1.312 1.215 1.969 2.928 1.969 5.14 0 2.212-.68 3.925-2.042 5.14-1.337 1.216-3.172 1.824-5.505 1.824-2.406 0-4.29-.596-5.651-1.787-1.361-1.215-2.042-2.94-2.042-5.177z"/><path style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal" overflow="visible" d="M32.783 3.51c-6.761 0-13.265 1.78-19.453 5.308l-.83.473 5.965 11.672.896-.475c4.819-2.552 8.969-3.785 12.403-3.785 1.346 0 2.34.274 3.058.746l.008.006.008.004c.7.443.92.843.92 1.562 0 1.062-.33 1.93-1.065 2.766l-.004.006-.003.006c-.737.862-2.08 1.946-4.002 3.156-2.564 1.609-4.415 3.298-5.506 5.152-1.08 1.812-1.598 4.008-1.598 6.524v4.135h13.193v-2.86c0-.842.229-1.474.713-2.052l.002-.002c.47-.557 2.066-1.815 4.59-3.45l-.008.004c3.099-1.974 5.402-4.09 6.87-6.396v.004c1.496-2.337 2.234-5.098 2.234-8.196 0-4.358-1.71-7.975-5.018-10.527-3.31-2.555-7.806-3.781-13.373-3.781zm0 2c5.274 0 9.288 1.156 12.15 3.365 2.867 2.212 4.24 5.086 4.24 8.943 0 2.784-.645 5.126-1.92 7.116v.002l-.001.002c-1.254 1.97-3.326 3.914-6.256 5.78l-.002.003-.004.002c-2.58 1.67-4.19 2.84-5.033 3.84v.001l-.002.002c-.778.928-1.182 2.094-1.182 3.34v.86H25.58V36.63c0-2.246.456-4.06 1.318-5.504v-.002l.002-.004c.854-1.45 2.454-2.97 4.848-4.473h.002c2.015-1.268 3.486-2.419 4.451-3.548 1.012-1.156 1.557-2.567 1.557-4.079 0-1.32-.704-2.521-1.846-3.246-1.127-.738-2.533-1.072-4.148-1.072-3.649 0-7.802 1.306-12.403 3.621l-4.183-8.191c5.653-3.058 11.5-4.623 17.605-4.623zm-2.078 39.015c-2.688 0-4.892.658-6.44 2.09l-.003.004-.002.002c-1.511 1.425-2.246 3.476-2.246 5.904 0 2.44.786 4.506 2.375 5.924l.004.004.003.002c1.581 1.383 3.738 2.035 6.31 2.035 2.504 0 4.622-.674 6.173-2.082 1.584-1.416 2.373-3.467 2.373-5.883 0-2.406-.754-4.446-2.285-5.867-1.514-1.452-3.666-2.133-6.262-2.133zm0 2c2.26 0 3.823.559 4.885 1.58l.008.008.007.006c1.091 1.01 1.647 2.392 1.647 4.406 0 2.007-.57 3.38-1.707 4.395l-.004.004-.002.002c-1.122 1.02-2.674 1.564-4.834 1.564-2.238 0-3.845-.54-4.986-1.535-1.133-1.012-1.705-2.398-1.705-4.43 0-2.042.551-3.44 1.615-4.445 1.078-.996 2.71-1.555 5.076-1.555z"/></g></g><g font-family="'Open Sans'" font-size="74.667" font-weight="800" letter-spacing="0" stroke-width="1.999" word-spacing="0" aria-label="?"><path d="M24.58 39.766V36.63c0-2.382.487-4.387 1.46-6.016.971-1.652 2.697-3.256 5.176-4.812 1.969-1.24 3.379-2.358 4.23-3.354.874-.997 1.312-2.14 1.312-3.427 0-1.021-.462-1.823-1.386-2.407-.923-.607-2.126-.911-3.609-.911-3.67 0-7.96 1.3-12.87 3.901l-5.067-9.917C19.878 6.236 26.197 4.51 32.784 4.51c5.42 0 9.674 1.191 12.76 3.573 3.087 2.382 4.63 5.627 4.63 9.735 0 2.94-.692 5.493-2.078 7.656-1.36 2.139-3.548 4.168-6.562 6.088-2.552 1.653-4.156 2.868-4.813 3.646-.631.754-.947 1.653-.947 2.698v1.86zm-1.567 12.76c0-2.236.644-3.962 1.932-5.177 1.313-1.215 3.233-1.823 5.76-1.823 2.431 0 4.29.62 5.579 1.86 1.312 1.215 1.969 2.928 1.969 5.14 0 2.212-.68 3.925-2.042 5.14-1.337 1.216-3.172 1.824-5.505 1.824-2.406 0-4.29-.596-5.651-1.787-1.361-1.215-2.042-2.94-2.042-5.177z" overflow="visible" style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal"/><path d="M32.783 3.51c-6.761 0-13.265 1.78-19.453 5.308l-.83.473 5.965 11.672.896-.475c4.819-2.552 8.969-3.785 12.403-3.785 1.346 0 2.34.274 3.058.746l.008.006.008.004c.7.443.92.843.92 1.562 0 1.062-.33 1.93-1.065 2.766l-.004.006-.003.006c-.737.862-2.08 1.946-4.002 3.156-2.564 1.609-4.415 3.298-5.506 5.152-1.08 1.812-1.598 4.008-1.598 6.524v4.135h13.193v-2.86c0-.842.229-1.474.713-2.052l.002-.002c.47-.557 2.066-1.815 4.59-3.45l-.008.004c3.099-1.974 5.402-4.09 6.87-6.396v.004c1.496-2.337 2.234-5.098 2.234-8.196 0-4.358-1.71-7.975-5.018-10.527-3.31-2.555-7.806-3.781-13.373-3.781zm0 2c5.274 0 9.288 1.156 12.15 3.365 2.867 2.212 4.24 5.086 4.24 8.943 0 2.784-.645 5.126-1.92 7.116v.002l-.001.002c-1.254 1.97-3.326 3.914-6.256 5.78l-.002.003-.004.002c-2.58 1.67-4.19 2.84-5.033 3.84v.001l-.002.002c-.778.928-1.182 2.094-1.182 3.34v.86H25.58V36.63c0-2.246.456-4.06 1.318-5.504v-.002l.002-.004c.854-1.45 2.454-2.97 4.848-4.473h.002c2.015-1.268 3.486-2.419 4.451-3.548 1.012-1.156 1.557-2.567 1.557-4.079 0-1.32-.704-2.521-1.846-3.246-1.127-.738-2.533-1.072-4.148-1.072-3.649 0-7.802 1.306-12.403 3.621l-4.183-8.191c5.653-3.058 11.5-4.623 17.605-4.623zm-2.078 39.015c-2.688 0-4.892.658-6.44 2.09l-.003.004-.002.002c-1.511 1.425-2.246 3.476-2.246 5.904 0 2.44.786 4.506 2.375 5.924l.004.004.003.002c1.581 1.383 3.738 2.035 6.31 2.035 2.504 0 4.622-.674 6.173-2.082 1.584-1.416 2.373-3.467 2.373-5.883 0-2.406-.754-4.446-2.285-5.867-1.514-1.452-3.666-2.133-6.262-2.133zm0 2c2.26 0 3.823.559 4.885 1.58l.008.008.007.006c1.091 1.01 1.647 2.392 1.647 4.406 0 2.007-.57 3.38-1.707 4.395l-.004.004-.002.002c-1.122 1.02-2.674 1.564-4.834 1.564-2.238 0-3.845-.54-4.986-1.535-1.133-1.012-1.705-2.398-1.705-4.43 0-2.042.551-3.44 1.615-4.445 1.078-.996 2.71-1.555 5.076-1.555z" fill="#ddd" overflow="visible" style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal"/></g></svg>
Index: applications/editors/josm/plugins/pointInfo/images/preferences/pointinfo.svg
===================================================================
--- applications/editors/josm/plugins/pointInfo/images/preferences/pointinfo.svg	(revision 35565)
+++ applications/editors/josm/plugins/pointInfo/images/preferences/pointinfo.svg	(revision 35565)
@@ -0,0 +1,1 @@
+<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 64 64"><defs><filter height="1.44" y="-.22" width="1.648" x="-.324" id="a" color-interpolation-filters="sRGB"><feGaussianBlur stdDeviation="5.224"/></filter></defs><g style="mix-blend-mode:normal" filter="url(#a)"><g aria-label="?" word-spacing="0" stroke-width="1.999" letter-spacing="0" font-weight="800" font-size="74.667" font-family="'Open Sans'" fill="#222"><path style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal" overflow="visible" d="M24.58 39.766V36.63c0-2.382.487-4.387 1.46-6.016.971-1.652 2.697-3.256 5.176-4.812 1.969-1.24 3.379-2.358 4.23-3.354.874-.997 1.312-2.14 1.312-3.427 0-1.021-.462-1.823-1.386-2.407-.923-.607-2.126-.911-3.609-.911-3.67 0-7.96 1.3-12.87 3.901l-5.067-9.917C19.878 6.236 26.197 4.51 32.784 4.51c5.42 0 9.674 1.191 12.76 3.573 3.087 2.382 4.63 5.627 4.63 9.735 0 2.94-.692 5.493-2.078 7.656-1.36 2.139-3.548 4.168-6.562 6.088-2.552 1.653-4.156 2.868-4.813 3.646-.631.754-.947 1.653-.947 2.698v1.86zm-1.567 12.76c0-2.236.644-3.962 1.932-5.177 1.313-1.215 3.233-1.823 5.76-1.823 2.431 0 4.29.62 5.579 1.86 1.312 1.215 1.969 2.928 1.969 5.14 0 2.212-.68 3.925-2.042 5.14-1.337 1.216-3.172 1.824-5.505 1.824-2.406 0-4.29-.596-5.651-1.787-1.361-1.215-2.042-2.94-2.042-5.177z"/><path style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal" overflow="visible" d="M32.783 3.51c-6.761 0-13.265 1.78-19.453 5.308l-.83.473 5.965 11.672.896-.475c4.819-2.552 8.969-3.785 12.403-3.785 1.346 0 2.34.274 3.058.746l.008.006.008.004c.7.443.92.843.92 1.562 0 1.062-.33 1.93-1.065 2.766l-.004.006-.003.006c-.737.862-2.08 1.946-4.002 3.156-2.564 1.609-4.415 3.298-5.506 5.152-1.08 1.812-1.598 4.008-1.598 6.524v4.135h13.193v-2.86c0-.842.229-1.474.713-2.052l.002-.002c.47-.557 2.066-1.815 4.59-3.45l-.008.004c3.099-1.974 5.402-4.09 6.87-6.396v.004c1.496-2.337 2.234-5.098 2.234-8.196 0-4.358-1.71-7.975-5.018-10.527-3.31-2.555-7.806-3.781-13.373-3.781zm0 2c5.274 0 9.288 1.156 12.15 3.365 2.867 2.212 4.24 5.086 4.24 8.943 0 2.784-.645 5.126-1.92 7.116v.002l-.001.002c-1.254 1.97-3.326 3.914-6.256 5.78l-.002.003-.004.002c-2.58 1.67-4.19 2.84-5.033 3.84v.001l-.002.002c-.778.928-1.182 2.094-1.182 3.34v.86H25.58V36.63c0-2.246.456-4.06 1.318-5.504v-.002l.002-.004c.854-1.45 2.454-2.97 4.848-4.473h.002c2.015-1.268 3.486-2.419 4.451-3.548 1.012-1.156 1.557-2.567 1.557-4.079 0-1.32-.704-2.521-1.846-3.246-1.127-.738-2.533-1.072-4.148-1.072-3.649 0-7.802 1.306-12.403 3.621l-4.183-8.191c5.653-3.058 11.5-4.623 17.605-4.623zm-2.078 39.015c-2.688 0-4.892.658-6.44 2.09l-.003.004-.002.002c-1.511 1.425-2.246 3.476-2.246 5.904 0 2.44.786 4.506 2.375 5.924l.004.004.003.002c1.581 1.383 3.738 2.035 6.31 2.035 2.504 0 4.622-.674 6.173-2.082 1.584-1.416 2.373-3.467 2.373-5.883 0-2.406-.754-4.446-2.285-5.867-1.514-1.452-3.666-2.133-6.262-2.133zm0 2c2.26 0 3.823.559 4.885 1.58l.008.008.007.006c1.091 1.01 1.647 2.392 1.647 4.406 0 2.007-.57 3.38-1.707 4.395l-.004.004-.002.002c-1.122 1.02-2.674 1.564-4.834 1.564-2.238 0-3.845-.54-4.986-1.535-1.133-1.012-1.705-2.398-1.705-4.43 0-2.042.551-3.44 1.615-4.445 1.078-.996 2.71-1.555 5.076-1.555z"/></g></g><g font-family="'Open Sans'" font-size="74.667" font-weight="800" letter-spacing="0" stroke-width="1.999" word-spacing="0" aria-label="?"><path d="M24.58 39.766V36.63c0-2.382.487-4.387 1.46-6.016.971-1.652 2.697-3.256 5.176-4.812 1.969-1.24 3.379-2.358 4.23-3.354.874-.997 1.312-2.14 1.312-3.427 0-1.021-.462-1.823-1.386-2.407-.923-.607-2.126-.911-3.609-.911-3.67 0-7.96 1.3-12.87 3.901l-5.067-9.917C19.878 6.236 26.197 4.51 32.784 4.51c5.42 0 9.674 1.191 12.76 3.573 3.087 2.382 4.63 5.627 4.63 9.735 0 2.94-.692 5.493-2.078 7.656-1.36 2.139-3.548 4.168-6.562 6.088-2.552 1.653-4.156 2.868-4.813 3.646-.631.754-.947 1.653-.947 2.698v1.86zm-1.567 12.76c0-2.236.644-3.962 1.932-5.177 1.313-1.215 3.233-1.823 5.76-1.823 2.431 0 4.29.62 5.579 1.86 1.312 1.215 1.969 2.928 1.969 5.14 0 2.212-.68 3.925-2.042 5.14-1.337 1.216-3.172 1.824-5.505 1.824-2.406 0-4.29-.596-5.651-1.787-1.361-1.215-2.042-2.94-2.042-5.177z" overflow="visible" style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal"/><path d="M32.783 3.51c-6.761 0-13.265 1.78-19.453 5.308l-.83.473 5.965 11.672.896-.475c4.819-2.552 8.969-3.785 12.403-3.785 1.346 0 2.34.274 3.058.746l.008.006.008.004c.7.443.92.843.92 1.562 0 1.062-.33 1.93-1.065 2.766l-.004.006-.003.006c-.737.862-2.08 1.946-4.002 3.156-2.564 1.609-4.415 3.298-5.506 5.152-1.08 1.812-1.598 4.008-1.598 6.524v4.135h13.193v-2.86c0-.842.229-1.474.713-2.052l.002-.002c.47-.557 2.066-1.815 4.59-3.45l-.008.004c3.099-1.974 5.402-4.09 6.87-6.396v.004c1.496-2.337 2.234-5.098 2.234-8.196 0-4.358-1.71-7.975-5.018-10.527-3.31-2.555-7.806-3.781-13.373-3.781zm0 2c5.274 0 9.288 1.156 12.15 3.365 2.867 2.212 4.24 5.086 4.24 8.943 0 2.784-.645 5.126-1.92 7.116v.002l-.001.002c-1.254 1.97-3.326 3.914-6.256 5.78l-.002.003-.004.002c-2.58 1.67-4.19 2.84-5.033 3.84v.001l-.002.002c-.778.928-1.182 2.094-1.182 3.34v.86H25.58V36.63c0-2.246.456-4.06 1.318-5.504v-.002l.002-.004c.854-1.45 2.454-2.97 4.848-4.473h.002c2.015-1.268 3.486-2.419 4.451-3.548 1.012-1.156 1.557-2.567 1.557-4.079 0-1.32-.704-2.521-1.846-3.246-1.127-.738-2.533-1.072-4.148-1.072-3.649 0-7.802 1.306-12.403 3.621l-4.183-8.191c5.653-3.058 11.5-4.623 17.605-4.623zm-2.078 39.015c-2.688 0-4.892.658-6.44 2.09l-.003.004-.002.002c-1.511 1.425-2.246 3.476-2.246 5.904 0 2.44.786 4.506 2.375 5.924l.004.004.003.002c1.581 1.383 3.738 2.035 6.31 2.035 2.504 0 4.622-.674 6.173-2.082 1.584-1.416 2.373-3.467 2.373-5.883 0-2.406-.754-4.446-2.285-5.867-1.514-1.452-3.666-2.133-6.262-2.133zm0 2c2.26 0 3.823.559 4.885 1.58l.008.008.007.006c1.091 1.01 1.647 2.392 1.647 4.406 0 2.007-.57 3.38-1.707 4.395l-.004.004-.002.002c-1.122 1.02-2.674 1.564-4.834 1.564-2.238 0-3.845-.54-4.986-1.535-1.133-1.012-1.705-2.398-1.705-4.43 0-2.042.551-3.44 1.615-4.445 1.078-.996 2.71-1.555 5.076-1.555z" fill="#ddd" overflow="visible" style="font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-variant-east-asian:normal;font-feature-settings:normal;font-variation-settings:normal;text-indent:0;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;white-space:normal;shape-padding:0;shape-margin:0;inline-size:0;isolation:auto;mix-blend-mode:normal"/></g></svg>