Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 36122)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 36193)
@@ -25,7 +25,4 @@
 @Main
 class StreetsideDataTest {
-
-  /*@Rule
-  public JOSMTestRules rules = new StreetsideTestRules().platform();*/
 
   private StreetsideData data;
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java	(revision 36122)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java	(revision 36193)
@@ -3,9 +3,8 @@
 
 import static org.junit.jupiter.api.Assertions.assertFalse;
+import static org.junit.jupiter.api.Assertions.assertInstanceOf;
 import static org.junit.jupiter.api.Assertions.assertNotNull;
 import static org.junit.jupiter.api.Assertions.assertThrows;
 import static org.junit.jupiter.api.Assertions.assertTrue;
-
-import java.awt.GraphicsEnvironment;
 
 import org.junit.jupiter.api.Test;
@@ -69,5 +68,5 @@
   void testGetInfoComponent() {
     Object comp = StreetsideLayer.getInstance().getInfoComponent();
-    assertTrue(comp instanceof String);
+    assertInstanceOf(String.class, comp);
     assertTrue(((String) comp).length() >= 9);
   }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java	(revision 36122)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/utils/TestUtil.java	(revision 36193)
@@ -4,7 +4,5 @@
 import static org.junit.jupiter.api.Assertions.assertEquals;
 import static org.junit.jupiter.api.Assertions.assertTrue;
-import static org.junit.jupiter.api.Assertions.fail;
 
-import java.awt.GraphicsEnvironment;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
@@ -12,10 +10,6 @@
 import java.lang.reflect.Method;
 import java.lang.reflect.Modifier;
-import java.util.logging.Level;
 
-import org.junit.runners.model.InitializationError;
-import org.openstreetmap.josm.testutils.JOSMTestRules;
-import org.openstreetmap.josm.tools.Logging;
-import org.openstreetmap.josm.tools.Utils;
+import org.openstreetmap.josm.tools.JosmRuntimeException;
 
 /**
@@ -37,7 +31,6 @@
       return result;
     } catch (NoSuchFieldException | SecurityException | IllegalArgumentException | IllegalAccessException e) {
-      fail(e.getLocalizedMessage());
+      throw new JosmRuntimeException(e);
     }
-    return null;
   }
 
@@ -52,7 +45,6 @@
       return getAccessibleField(object.getClass(), name).get(object);
     } catch (IllegalAccessException | SecurityException e) {
-      fail(e.getLocalizedMessage());
+      throw new JosmRuntimeException(e);
     }
-    return null;
   }
 
@@ -80,16 +72,5 @@
       }
     } catch (InstantiationException | IllegalAccessException | IllegalArgumentException | InvocationTargetException e) {
-      fail(e.getLocalizedMessage());
-    }
-  }
-
-  public static class StreetsideTestRules extends JOSMTestRules {
-    @Override
-    protected void before() throws InitializationError, ReflectiveOperationException {
-      Logging.getLogger().setFilter(record -> record.getLevel().intValue() >= Level.WARNING.intValue() || record.getSourceClassName().startsWith("org.openstreetmap.josm.plugins.streetside"));
-      Utils.updateSystemProperty("java.util.logging.SimpleFormatter.format", "%1$tF %1$tT.%1$tL %2$s %4$s: %5$s%6$s%n");
-      final String isHeadless = Boolean.toString(GraphicsEnvironment.isHeadless());
-      super.before();
-      System.setProperty("java.awt.headless", isHeadless);
+      throw new JosmRuntimeException(e);
     }
   }